Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008910TestLinkTest Executepublic2020-04-28 13:022020-05-31 12:05
Reporterjosemtzromero 
Assigned Tofman 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionunable to reproduce 
PlatformOSubuntuOS Version18.04.4 LTS
Product Version1.9.20 
Fixed in Version1.9.20_fixed 
Summary0008910: JIRA INTEGRATION Enabled - Passed/Failed buttons doesn't perform actions when click on them
DescriptionI have been executing tests, I did changes for 2 test cases. One as passed and other as failed. After that, when I want to update other test case. I click on the Passed button (emoticon) and no action for this. Also the "Save execution" button is not visible.
Steps To ReproduceI have created a public test project
I have created a public test plan
I added tests cases
Execute tests
I did set up to passed status for a test case1
I did set up to failed status for a test case2
When I try to change the status for a third test case, and I clicked on the passed button, it doesn't work. Also, the save execution button is not visible.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.7
BrowserFirefox, Chrome
PHP Version7.2.29
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filespng file icon Screen Shot 2020-04-28 at 07.35.04.png [^] (90,513 bytes) 2020-04-28 13:02


png file icon Screen Shot 2020-04-28 at 07.34.20.png [^] (105,315 bytes) 2020-04-28 13:03


mov file icon Screen Recording 2020-04-29 at 19.22.54.mov [^] (1,578,628 bytes) 2020-04-30 00:24
png file icon Screen Shot 2020-05-04 at 11.18.38.png [^] (84,361 bytes) 2020-05-04 16:28


png file icon Screen Shot 2020-05-04 at 12.39.23.png [^] (190,242 bytes) 2020-05-04 17:41


png file icon Screen Shot 2020-05-06 at 11.53.14.png [^] (68,456 bytes) 2020-05-06 17:00


png file icon AAA.png [^] (55,049 bytes) 2020-05-06 20:10


png file icon SetStatus_NotFocus.png [^] (50,448 bytes) 2020-05-30 11:23


png file icon elements_causingIssue.png [^] (93,459 bytes) 2020-05-30 12:30

- Relationships

-  Notes
(0029635)
fman (administrator)
2020-04-29 19:35

tested using branch testlink_1_9_20_fixed, unable to reproduce
(0029636)
josemtzromero (reporter)
2020-04-30 00:26

I have upload a quick video showing you the behavior. I hope it can be descriptive. Please let me know your comments. Thanks in advance.
(0029637)
fman (administrator)
2020-04-30 07:23

thanks, but please confirm that you have used branch testlink_1_9_20_fixed
(0029638)
fman (administrator)
2020-04-30 17:49

just retested in testlink_1_9_20_fixed, unable to reproduce
(0029639)
josemtzromero (reporter)
2020-04-30 17:54

Hello again, checking on server the file used for installation was testlink-1.9.20.tar.gz dated Jan 19. What it means I am not using the code from the 1_9_20_fixed. I have read the readme file so what I going to to is to clone the repo to my server, backup my db and follow up the steps for upgrading. Do you have another suggestion for upgrading? Thanks again
(0029642)
fman (administrator)
2020-04-30 18:41

first thing to do is a fresh install just to test that the issue has fixed.
you do not need to clone anything you can get the tar.gz from github
Do not think there are steps to upgrade the db

regards
(0029649)
josemtzromero (reporter)
2020-05-04 16:27

Hello admin. This is my update. I made a fresh install from testlink_1_9_20_fixed branch. I made some tests and I got the same result. No actions when clicking on faces for passed/failed/blocked status. Please let me know if you need more information. I am attaching a new image.
(0029650)
fman (administrator)
2020-05-04 17:29

We are stuck because I can not reproduce,
I needed very detailed info in order to try to reproduce.
Have you given a look to Chrome Dev Console to check for JS errors?
(0029651)
josemtzromero (reporter)
2020-05-04 17:40

This is the output from the Chrome Dev Console....
(0029652)
fman (administrator)
2020-05-04 18:23

DO you have issue integration enabled?
is yes what kind?

still waiting for => I needed very detailed info in order to try to reproduce.
(0029653)
josemtzromero (reporter)
2020-05-04 18:47

I'am sorry. I don't understand last question. Can you be more specific please. Also, I want to ask you if you could check last image I posted with the output rom Dev console.
(0029654)
josemtzromero (reporter)
2020-05-04 19:10

An invalid form control with name='artifactComponentForStep[4722][]' is not focusable.
trigger @ jquery-2.2.4.min.js:4

An invalid form control with name='artifactComponent[]' is not focusable.trigger @ jquery-2.2.4.min.js:4
(0029655)
fman (administrator)
2020-05-04 20:13

I've checked the console log, that's why I've added the questions in note 29652
I need that you answer the questions in note 29652
and that you provide very detailed steps to reproduce
(0029656)
josemtzromero (reporter)
2020-05-04 22:22

I don't have issue integration enabled. Responding to note 29652. If you can help me with instructions to get the info in detail you need I will really appreciate it.
(0029665)
fman (administrator)
2020-05-06 15:16

I'm doing my best to help you, please remember this is best-effort support.

In my installation using branch testlink_1_9_20_fixed I was not able to get the same errors in the development console.
That's confusing.

IMHO the best option is to restart with a fresh install.
If you provide me with an accessible URL I can try to play a little bit.
It seems a joke, but till now no other people have reported this error, and this is very strange.
(0029666)
josemtzromero (reporter)
2020-05-06 16:15

If you agree we can have a Hangout meeting if you have gmai account. I can show you live what is going wrong with my server. It can't take more than 5 minutes to check it.
(0029668)
josemtzromero (reporter)
2020-05-06 16:26

ok
(0029669)
josemtzromero (reporter)
2020-05-06 16:28

I already sent you invite
(0029670)
josemtzromero (reporter)
2020-05-06 17:15

I have sent you an image with configuration of the project. As you said, I have enabled the option for Issue Tracker Integration. Thanks again for your help. I will be standing by feedback.
(0029672)
fman (administrator)
2020-05-06 20:09

I've just tested with branch testlink_1_9_20_fixed, made a couple of fixes to remove warnings due to undefined properties.
Anyway before and after the fixes I was never able to reproduce your problem
I've used a project configured like yours -> see image AAA

My advice
1) remove ALL YOUR TESTLINK INSTALLATIONS
2) get again branch testlink_1_9_20_fixed
3) do fresh install
4) retest
(0029673)
josemtzromero (reporter)
2020-05-06 20:47

Thanks for the response. I will follow up your instructions. I will heads up to you when it's done.
(0029685)
fman (administrator)
2020-05-13 16:34

any news?
(0029687)
josemtzromero (reporter)
2020-05-13 23:20

Hello. I do apologize to write until now. I have applied your suggestions. I removed all the installations and I made a new fresh installation. I have tested again. The same issue of blocked buttons when the issue tracker flag is activated. But, as workaround I just unchecked the option and the QA team is capable to continue working.
(0029714)
Puso (reporter)
2020-05-28 19:05

Hi @fman, i have the exact issue as @josemtzromero and i could only execute the test when i deactivated the tracker just like he advised.

i am still suing 1_9_20, haven't upgraded yet.
(0029715)
fman (administrator)
2020-05-28 21:20

I need detailed very detailed steps to reproduce because I'm not able to reproduce the issue, then I can not spend more time on this issue without more detailed information.
(0029716)
Puso (reporter)
2020-05-29 06:52

Apologies @fman.

Non-Working Scenario
Steps to recreate with LAMP and Testlink 1.9.20 installed:
1.I have created a public test project
2. I have created a public test plan, build
3. I have created a test suite with tests cases
4. Added a JIRA issue tracker and linked to the test project
5. Execute tests
    Unable to set status to fail or pass

Working Scenario
Steps to recreate with LAMP and Testlink 1.9.20 installed:
1. I have created a public test project
2. I have created a public test plan, build
3. I have created a test suite with tests cases
4. Added a JIRA issue tracker and linked to the test project
5. Deactivate the issue tracker by un-checking the "active" filed in test project
5. Execute tests
    Able to set status to fail or pass
(0029717)
fman (administrator)
2020-05-29 07:55

1. have you used branch testlink_1_9_20_fixed as has been indicated in several notes?

2. what kind of jira integration are you using? DB,SOAP,REST?
   I can test ONLY with REST
(0029718)
Puso (reporter)
2020-05-29 08:28

I am using REST and i have not used 1_9_20_fixed branch since you could not recreate the issue in 1_9_20.
(0029719)
fman (administrator)
2020-05-29 13:01

you need to install latest available version => branch testlink_1_9_20_fixed
(0029720)
Puso (reporter)
2020-05-30 11:19

The issue can still be recreated in testlink_1_9_20_fixed.

I am assuming that "activating the JIRA rest issue tracker hinders the setResults form from being in-focus" as per my latest screenshot.

i'll look into "execSetResults.php" to see if there is any relation.
(0029721)
fman (administrator)
2020-05-30 12:15

I'm going to check again and will provided detailed information about all my installation: PHP version, etc
(0029722)
Puso (reporter)
2020-05-30 12:26

Thanks fman, please see my latest screenshot of the elements causing the error with issue tracker active.
(0029723)
fman (administrator)
2020-05-31 09:28
edited on: 2020-05-31 09:54

Finally got the issue.
I'm not able to understand how I've tested this in the past.
If I've paid attention better to the Console Message I've found the following
link:

https://stackoverflow.com/questions/22148080/an-invalid-form-control-with-name-is-not-focusable [^]

In your form, You might have hidden input having required attribute:

<input type="hidden" required />
<input type="file" required style="display: none;"/>
The form can't focus on those elements, you have to remove required from all hidden inputs, or implement 
a validation function in javascript to handle them if you really require a hidden input.



--
The mistake was in the required attribute management

In HTML, the required attribute must be present (the field is required) or absent (the field is NOT required). 
When the attribute is present, it does not matter what value it has.


https://stackoverflow.com/questions/48651166/validation-required-true-false-html-form/48651305 [^]

Now it seems to work, only minor annoyance is that the required HTML 5 message is not displayed, but submit is blocked anyway if you do not provide the required attributes.

watch this -> https://drive.google.com/file/d/1g2CcY4bNHSpae8CJ5_DqkR-a2xSK0vS1/view?usp=sharing [^]

Going to commit

(0029724)
fman (administrator)
2020-05-31 09:57

Fixed in 1.9.20_fixed
(0029725)
Puso (reporter)
2020-05-31 12:05

Hi @fman, thanks a lot for the fix. will download latest from github and retest.

- Issue History
Date Modified Username Field Change
2020-04-28 13:02 josemtzromero New Issue
2020-04-28 13:02 josemtzromero File Added: Screen Shot 2020-04-28 at 07.35.04.png
2020-04-28 13:03 josemtzromero File Added: Screen Shot 2020-04-28 at 07.34.20.png
2020-04-29 19:35 fman Note Added: 0029635
2020-04-29 19:35 fman Assigned To => fman
2020-04-29 19:35 fman Status new => feedback
2020-04-30 00:24 josemtzromero File Added: Screen Recording 2020-04-29 at 19.22.54.mov
2020-04-30 00:26 josemtzromero Note Added: 0029636
2020-04-30 00:26 josemtzromero Status feedback => assigned
2020-04-30 07:23 fman Note Added: 0029637
2020-04-30 17:49 fman Note Added: 0029638
2020-04-30 17:54 josemtzromero Note Added: 0029639
2020-04-30 18:41 fman Note Added: 0029642
2020-04-30 18:41 fman Status assigned => feedback
2020-05-04 16:27 josemtzromero Note Added: 0029649
2020-05-04 16:27 josemtzromero Status feedback => assigned
2020-05-04 16:28 josemtzromero File Added: Screen Shot 2020-05-04 at 11.18.38.png
2020-05-04 17:29 fman Note Added: 0029650
2020-05-04 17:40 josemtzromero Note Added: 0029651
2020-05-04 17:41 josemtzromero File Added: Screen Shot 2020-05-04 at 12.39.23.png
2020-05-04 18:23 fman Note Added: 0029652
2020-05-04 18:23 fman Status assigned => feedback
2020-05-04 18:47 josemtzromero Note Added: 0029653
2020-05-04 18:47 josemtzromero Status feedback => assigned
2020-05-04 19:10 josemtzromero Note Added: 0029654
2020-05-04 20:13 fman Note Added: 0029655
2020-05-04 20:13 fman Status assigned => feedback
2020-05-04 22:22 josemtzromero Note Added: 0029656
2020-05-04 22:22 josemtzromero Status feedback => assigned
2020-05-06 15:16 fman Note Added: 0029665
2020-05-06 16:15 josemtzromero Note Added: 0029666
2020-05-06 16:26 josemtzromero Note Added: 0029668
2020-05-06 16:28 josemtzromero Note Added: 0029669
2020-05-06 16:28 josemtzromero Note View State: 0029669: private
2020-05-06 17:00 josemtzromero File Added: Screen Shot 2020-05-06 at 11.53.14.png
2020-05-06 17:15 josemtzromero Note Added: 0029670
2020-05-06 20:04 fman Note View State: 0029669: public
2020-05-06 20:09 fman Note Added: 0029672
2020-05-06 20:10 fman File Added: AAA.png
2020-05-06 20:47 josemtzromero Note Added: 0029673
2020-05-13 16:34 fman Note Added: 0029685
2020-05-13 16:35 fman Status assigned => feedback
2020-05-13 23:20 josemtzromero Note Added: 0029687
2020-05-13 23:20 josemtzromero Status feedback => assigned
2020-05-18 09:57 fman QA Team - Task Workflow Status => TBD
2020-05-18 09:57 fman Status assigned => resolved
2020-05-18 09:57 fman Resolution open => unable to reproduce
2020-05-28 19:05 Puso Note Added: 0029714
2020-05-28 21:20 fman Note Added: 0029715
2020-05-29 06:52 Puso Note Added: 0029716
2020-05-29 07:55 fman Note Added: 0029717
2020-05-29 08:28 Puso Note Added: 0029718
2020-05-29 13:01 fman Note Added: 0029719
2020-05-30 11:19 Puso Note Added: 0029720
2020-05-30 11:23 Puso File Added: SetStatus_NotFocus.png
2020-05-30 12:15 fman Note Added: 0029721
2020-05-30 12:26 Puso Note Added: 0029722
2020-05-30 12:30 Puso File Added: elements_causingIssue.png
2020-05-31 09:28 fman Note Added: 0029723
2020-05-31 09:43 fman Note Edited: 0029723 View Revisions
2020-05-31 09:54 fman Note Edited: 0029723 View Revisions
2020-05-31 09:56 fman Summary Passed/Failed buttons doesn't perform actions when click on them => JIRA INTEGRATION Enabled - Passed/Failed buttons doesn't perform actions when click on them
2020-05-31 09:57 fman Note Added: 0029724
2020-05-31 09:57 fman Fixed in Version => 1.9.20_fixed
2020-05-31 12:05 Puso Note Added: 0029725



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker